/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TestRest;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 *
 * @author aparnab
 */
@Entity
@Table(name = "QUAKEML")
@NamedQueries({@NamedQuery(name = "QuakemlView.findAll", query = "SELECT q FROM QuakemlView q"),
@NamedQuery(name = "QuakemlView.findByDatetime", query = "SELECT q FROM QuakemlView q WHERE q.datetime = :datetime"),
@NamedQuery(name = "QuakemlView.findByDepth", query = "SELECT q FROM QuakemlView q WHERE q.depth = :depth"),
@NamedQuery(name = "QuakemlView.findByCategory", query = "SELECT q FROM QuakemlView q WHERE q.category = :category"),
@NamedQuery(name = "QuakemlView.findByMagnitude", query = "SELECT q FROM QuakemlView q WHERE q.magnitude = :magnitude"),
@NamedQuery(name = "QuakemlView.findByLat", query = "SELECT q FROM QuakemlView q WHERE q.lat = :lat"),
@NamedQuery(name = "QuakemlView.findByLon", query = "SELECT q FROM QuakemlView q WHERE q.lon = :lon"),
@NamedQuery(name = "QuakemlView.findByEvid", query = "SELECT q FROM QuakemlView q WHERE q.evid = :evid"),
@NamedQuery(name = "QuakemlView.findByMagtype", query = "SELECT q FROM QuakemlView q WHERE q.magtype = :magtype"),
@NamedQuery(name = "QuakemlView.findByEtype", query = "SELECT q FROM QuakemlView q WHERE q.etype = :etype"),
@NamedQuery(name = "QuakemlView.findByTotalarr", query = "SELECT q FROM QuakemlView q WHERE q.totalarr = :totalarr"),
@NamedQuery(name = "QuakemlView.findByPrefor", query = "SELECT q FROM QuakemlView q WHERE q.prefor = :prefor"), 
@NamedQuery(name = "QuakemlView.findByDepth", query = "SELECT q FROM QuakemlView q WHERE q.depth = :depth"),
@NamedQuery(name = "QuakemlView.findByCategory", query = "SELECT q FROM QuakemlView q WHERE q.category = :category"),
@NamedQuery(name = "QuakemlView.findByMagnitude", query = "SELECT q FROM QuakemlView q WHERE q.magnitude = :magnitude"),
@NamedQuery(name = "QuakemlView.findByLat", query = "SELECT q FROM QuakemlView q WHERE q.lat = :lat"),
@NamedQuery(name = "QuakemlView.findByLon", query = "SELECT q FROM QuakemlView q WHERE q.lon = :lon"),
@NamedQuery(name = "QuakemlView.findByEvid", query = "SELECT q FROM QuakemlView q WHERE q.evid = :evid"),
@NamedQuery(name = "QuakemlView.findByMagtype", query = "SELECT q FROM QuakemlView q WHERE q.magtype = :magtype"),
@NamedQuery(name = "QuakemlView.findByEtype", query = "SELECT q FROM QuakemlView q WHERE q.etype = :etype"),
@NamedQuery(name = "QuakemlView.findByTotalarr", query = "SELECT q FROM QuakemlView q WHERE q.totalarr = :totalarr"),
@NamedQuery(name = "QuakemlView.findByPrefmag", query = "SELECT q FROM QuakemlView q WHERE q.prefmag = :prefmag")})
public class QuakemlView implements Serializable {
    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "DATETIME")
    private BigDecimal datetime;
    @Column(name = "DEPTH")
    private BigDecimal depth;
    @Basic(optional = false)
    @Column(name = "CATEGORY")
    private String category;
    @Basic(optional = false)
    @Column(name = "MAGNITUDE")
    private BigDecimal magnitude;
    @Basic(optional = false)
    @Column(name = "LAT")
    private BigDecimal lat;
    @Basic(optional = false)
    @Column(name = "LON")
    private BigDecimal lon;
    @Id
    @Basic(optional = false)
    @Column(name = "EVID")
    private long evid;
    @Basic(optional = false)
    @Column(name = "MAGTYPE")
    private String magtype;
    @Column(name = "ETYPE")
    private String etype;
    @Column(name = "TOTALARR")
    private Integer totalarr;
    @Column(name = "PREFOR")
    private Long prefor;
    @Column(name = "PREFMAG")
    private Long prefmag;

    public QuakemlView() {
    }

    public BigDecimal getDatetime() {
        return datetime;
    }

    public void setDatetime(BigDecimal datetime) {
        this.datetime = datetime;
    }

    public BigDecimal getDepth() {
        return depth;
    }

    public void setDepth(BigDecimal depth) {
        this.depth = depth;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public BigDecimal getMagnitude() {
        return magnitude;
    }

    public void setMagnitude(BigDecimal magnitude) {
        this.magnitude = magnitude;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public long getEvid() {
        return evid;
    }

    public void setEvid(long evid) {
        this.evid = evid;
    }

    public String getMagtype() {
        return magtype;
    }

    public void setMagtype(String magtype) {
        this.magtype = magtype;
    }

    public String getEtype() {
        return etype;
    }

    public void setEtype(String etype) {
        this.etype = etype;
    }

    public Integer getTotalarr() {
        return totalarr;
    }

    public void setTotalarr(Integer totalarr) {
        this.totalarr = totalarr;
    }

    public Long getPrefor() {
        return prefor;
    }

    public void setPrefor(Long prefor) {
        this.prefor = prefor;
    }

    public Long getPrefmag() {
        return prefmag;
    }

    public void setPrefmag(Long prefmag) {
        this.prefmag = prefmag;
    }

}
